@import "../../../assets/styles/main.scss";

.waoClubMilestoneSection {
  background-image: url(https://stagecdn.waosim.com/landingpage/home/whyWaosim.png);
  background-size: cover;
  background-position: center;
  padding-bottom: 100px;
  padding-top: 4px;
  p {
    line-height: 35px;
    font-size: 20px;
    @include inter600;
    span {
      color: getColorHex("orange");
    }
    @include lg {
      font-size: 16px;
    }
  }

  h1 {
    @include inter700;
    line-height: 175.023%;
    span {
      color: getColorHex("orange");
    }
  }

  .waoClubMilestoneMainSection {
    @include container-medium-1;
    display: flex;
    flex-direction: column;
    gap: 24px;
    // with login
    .waoClubMilestoneLevelMain {
      padding: 29px 30px 29px 60px;
      border-radius: 32px;
      border: 1px solid #d0d0d0;
      background: #fff;
      display: flex;
      gap: 24px;
      align-items: center;
      justify-content: space-between;
      @include lg {
        padding: 25px 25px 25px 40px;
      }
      .NameWithLevel {
        display: flex;
        flex-flow: column;
        gap: 22px;
        h1 {
          font-size: 32px;
        }
      }
      .levelImage {
        padding: 25px 44px;
        width: 200px;
        height: 170px;
        img {
          width: 100%;
          height: 100%;
          object-fit: contain;
        }
      }
    }
    .waoClubDiscountMain {
      display: grid;
      grid-template-columns: auto auto;
      gap: 30px;
      .waoClubDiscount {
        padding: 19px 40px;
        border-radius: 32px;
        border: 1px solid #d0d0d0;
        background: #fff;
        display: flex;
        gap: 10px;
        align-items: center;
        @include lg {
          padding: 19px 25px;
        }
        .waoClubDiscountImage {
          width: 100px;
          height: 100px;
          img {
            width: 100%;
            height: 100%;
            object-fit: contain;
          }
        }
        .waoClubDiscountText {
        }
      }
    }
    .waoClubMilestoneMain {
      display: grid;
      grid-template-columns: 150px auto 150px;
      align-items: center;
      gap: 22px;
      border-radius: 32px;
      border: 1px solid #d0d0d0;
      background: #fff;
      padding: 40px;
      width: 100%;
      @include lg {
        padding: 25px;
      }
      .MilestoneImage {
        img {
          width: 100%;
          height: 100%;
          object-fit: contain;
        }
      }
      .MilestoneText {
        display: flex;
        flex-flow: column;
        gap: 7px;
        h1 {
          font-size: 30px;
        }
      }
      .milestoneButton {
        button {
          padding: 11px 30px;
          font-size: 20px;

          @include md {
            padding: 12px 19px;
          }
          @include xs {
            font-size: 16px;
          }
          @include xxs {
            font-size: 14px;
            padding: 8px 14px;
          }
          &:hover {
            background: getColorHex("orange");
            color: getColorHex("white");
            border: 4px solid getColorHex("orange");
            transition: 0.3s;
            span {
              color: getColorHex("white");
            }
          }
          span {
            color: getColorHex("black");
            text-transform: capitalize;
          }
        }
      }
    }
    //successMilestone
    .successFullMilestone {
      border-radius: 32px;
      border: 1px solid #d0d0d0;
      background: #fff;
      padding: 39px 40px;
      width: 100%;
      display: grid;
      grid-template-columns: 150px auto 150px;
      align-items: center;
      @include lg {
        padding: 25px;
      }
      .successFullMilestoneText {
        text-align: center;
        p {
          width: 450px;
          margin: auto !important;
          @include lg {
            width: 350px;
          }
        }
      }
    }
    // without login
    .waoClubBetterWaoSim {
      padding: 29px 30px 29px 60px;
      display: flex;
      gap: 22px;
      align-items: center;
      position: relative;
      border-radius: 32px;
      border: 1px solid #d0d0d0;
      background: getColorHex("white");
      overflow: hidden;
      @include lg {
        padding: 25px 25px 25px 40px;
      }
      .waoClubBetterWaoSimImage {
        min-width: 211px;
        height: 211px;
        img {
          width: 100%;
          height: 100%;
          object-fit: contain;
        }
      }
      .waoClubBetterWaoSimText {
        display: flex;
        flex-flow: column;
        gap: 10px;

        h1 {
          font-size: 32px;
          @include lg {
            font-size: 28px;
          }
        }
        p {
          max-width: 580px;
          @include lg {
            max-width: 470px;
          }
        }
      }
      .waoClubBetterWaoSimVectore {
        position: absolute;
        top: 0;
        right: 0px;
      }
    }
    .waoClubEasyToGet {
      display: grid;
      grid-template-columns: auto auto auto;
      width: 100%;
      gap: 30px;
      .waoClubBlock {
        display: flex;
        flex-flow: column;
        gap: 10px;
        border-radius: 32px;
        border: 1px solid #d0d0d0;
        background: #fff;
        padding: 40px;
        @include lg {
          padding: 25px;
        }
        .waoClubBlockImage {
          width: 100px;
          height: 100px;
          img {
            width: 100%;
            height: 100%;
            object-fit: contain;
          }
        }
        h1 {
          font-size: 30px;
          @include lg {
            font-size: 26px;
          }
        }
      }
    }

    .signUpWao_button {
      min-width: 326px;
      margin: 26px auto 0;

      @include lg {
        min-width: 172px;
      }

      button {
        width: 100%;
        max-width: rem(351);
        text-transform: unset;
        width: 326px;

        @include lg {
          padding: 20px;
          font-size: 18px;
        }
        @include sm {
          font-size: 16px;
        }
        @include xs {
          padding: 15px;
        }
        @include xxxs {
          padding: 10px;
          font-size: 14px;
        }
      }
    }
  }
}
